<!-- src/components/NavBar.vue -->
<template>
  <nav class="top-0 w-full z-50">
    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
      <div class="flex justify-between h-16">
        <!-- Logo Section -->
        <div class="flex-shrink-0 flex items-center">
          <router-link to="/" class="flex items-center">
            <img src="/assets/spacedao-light-logo@2x.png" alt="SpaceDAO" class="h-8 cursor-pointer" />
          </router-link>
        </div>

        <!-- Navigation Links -->
        <div class="hidden md:flex items-center space-x-8">
          <router-link 
            to="/about" 
            class="text-gray-300 hover:text-white px-3 py-2 text-sm font-medium"
          >ABOUT US</router-link>
          <a 
            href="https://spacedao.ai/contact-us/"
            target="_blank"
            rel="noopener noreferrer"
            class="text-gray-300 hover:text-white px-3 py-2 text-sm font-medium"
          >CONTACT US</a>

          <!-- Buttons to toggle globeMode -->
          <a 
            href="#" 
            @click.prevent="changeGlobeMode()"
            class="text-gray-300 hover:text-white px-3 py-2 text-sm font-medium"
          >SWITCH CDM/DRM</a>

          <!-- Connect Button -->
          <a 
            href="#" 
            @click.prevent="showModal = true"
            class="text-sm hover:text-white px-3 py-2 font-medium bg-gradient-to-r from-[#ae45c8] to-[#9c273e] bg-clip-text text-transparent"
          >CONNECT</a>
        </div>

        <!-- Mobile menu button -->
        <div class="md:hidden flex items-center">
          <button
            @click="toggleMenu"
            class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-white hover:bg-gray-700 focus:outline-none"
          >
            <svg
              class="h-6 w-6"
              xmlns="http://www.w3.org/2000/svg"
              fill="none"
              viewBox="0 0 24 24"
              stroke="currentColor"
            >
              <path
                v-if="!isMenuOpen"
                stroke-linecap="round"
                stroke-linejoin="round"
                stroke-width="2"
                d="M4 6h16M4 12h16M4 18h16"
              />
              <path
                v-else
                stroke-linecap="round"
                stroke-linejoin="round"
                stroke-width="2"
                d="M6 18L18 6M6 6l12 12"
              />
            </svg>
          </button>
        </div>
      </div>
    </div>

    <!-- Mobile menu -->
    <div v-if="isMenuOpen" class="md:hidden bg-[#0A0A0A] border-t border-gray-800">
      <div class="px-2 pt-2 pb-3 space-y-1">
        <router-link 
          to="/about"
          class="text-gray-300 hover:text-white block px-3 py-2 text-base font-medium"
        >ABOUT US</router-link>
        <a
          href="https://spacedao.ai/contact-us/"
          target="_blank"
          rel="noopener noreferrer"
          class="text-gray-300 hover:text-white block px-3 py-2 text-base font-medium"
        >CONTACT US</a>
        <a 
            href="#" 
            @click.prevent="changeGlobeMode()"
            class="text-gray-300 hover:text-white block px-3 py-2 text-base font-medium"
        >SWITCH CDM/DRM</a>
        <a 
            href="#" 
            @click.prevent="showModal = true"
            class="text-sm hover:text-white block px-3 py-2 font-medium bg-gradient-to-r from-[#ae45c8] to-[#9c273e] bg-clip-text text-transparent"
        >CONNECT</a>
      </div>
    </div>

    <!-- Modal Component -->
    <Modal v-if="showModal" @close="showModal = false" />
  </nav>
</template>

<script setup lang="ts">
import { ref, inject } from 'vue'
import Modal from '@/components/modals/Modal.vue'

const isMenuOpen = ref(false)
const showModal = ref(false)

// Inject globeMode from the parent component (e.g., App.vue)
const globeMode = inject('globeMode')

// Function to toggle the menu
function toggleMenu() {
  isMenuOpen.value = !isMenuOpen.value
}

// Function to change the globeMode state
const changeGlobeMode = () => {
  if (globeMode) {
    if (globeMode.value == "CDM") {
      globeMode.value = "DRM"
    } else {
      globeMode.value = "CDM"
    }
  }
}

function connect() {
  // Implement wallet connection logic here
  console.log('Connecting wallet...')
}
</script>
